MCP Gateway
ApiMcp servers

Attach a skill to a server

Link a skill to an MCP server and register any script tools defined in the skill's workflow.json. Returns the list of tools that were registered.

POST
/api/v1/servers/{server_id}/skills/{skill_id}/attach

Path Parameters

server_id*string
Formatuuid
skill_id*string
Formatuuid

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/skills/497f6eca-6276-4993-bfeb-53cbbbba6f08/attach"
{
  "attachment_id": "string",
  "tools_registered": [
    "string"
  ],
  "server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
  "skill_id": "3cd68bb3-8b7e-48be-8232-1b99b5b4b3aa"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}